#!/bin/sh
#
# Starting MQ Channel Monitor for Java 64-bit
#
# Uncomment and set MQCM_HOME
#
###MQCM_HOME=/opt/mqm/Capitalware/MQCM
###export MQCM_HOME
#
if [ -n "${MQCM_HOME}" ]; then
  echo "MQCM_HOME=${MQCM_HOME} "
else
  echo "MQCM_HOME is not set. Please set MQCM_HOME then try again."
  exit
fi
#
# Set defaul values for MQCM variables
#
MQCM_JVM_PARMS="-Xms64m -Xmx256m -Dcom.ibm.mq.cfg.useIBMCipherMappings=false -Dcom.ibm.jsse2.disableSSLv3=false"
MQCM_EXE_CLASS=com.capitalware.mqcm.MQCM
#
export MQCM_JVM_PARMS MQCM_EXE_CLASS
#
if [ -n "${MQSSLKEYR}" ]; then
   MQCM_JVM_PARMS=-Djavax.net.ssl.trustStore="${MQSSLKEYR}.jks ${MQCM_JVM_PARMS}"
fi
#
# Are the MQ Java libraries installed
#
if [ -f "/opt/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/usr/mqm/java/lib/com.ibm.mq.jar" ]; then
  #
  # Figure out how to use the shared libraries
  #
  case `uname -s` in
  AIX)
    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/usr/mqm/java/lib64:$LIBPATH"
    else
      LIBPATH="/usr/mqm/java/lib64"
    fi

    CLASSPATH="$CLASSPATH:/usr/mqm/java/lib/com.ibm.mq.commonservices.jar:/usr/mqm/java/lib/com.ibm.mq.headers.jar:/usr/mqm/java/lib/com.ibm.mq.jar:/usr/mqm/java/lib/com.ibm.mq.jmqi.jar:/usr/mqm/java/lib/com.ibm.mq.pcf.jar"

    export LIBPATH CLASSPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  HP-UX)
    if [ -n "${SHLIB_PATH}" ]; then
      SHLIB_PATH="/opt/mqm/java/lib64:$SHLIB_PATH"
    else
      SHLIB_PATH="/opt/mqm/java/lib64"
    fi

    CLASSPATH="$CLASSPATH:/opt/mqm/java/lib/com.ibm.mq.commonservices.jar:/opt/mqm/java/lib/com.ibm.mq.headers.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/com.ibm.mq.jmqi.jar:/opt/mqm/java/lib/com.ibm.mq.pcf.jar"

    export SHLIB_PATH CLASSPATH
    echo "SHLIB_PATH=${SHLIB_PATH}"
  ;;
  LINUX|Linux)
    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib64:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib64"
    fi

    CLASSPATH="$CLASSPATH:/opt/mqm/java/lib/com.ibm.mq.commonservices.jar:/opt/mqm/java/lib/com.ibm.mq.headers.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/com.ibm.mq.jmqi.jar:/opt/mqm/java/lib/com.ibm.mq.pcf.jar"

    export LD_LIBRARY_PATH CLASSPATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  SunOS)
    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib64:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib64"
    fi

    CLASSPATH="$CLASSPATH:/opt/mqm/java/lib/com.ibm.mq.commonservices.jar:/opt/mqm/java/lib/com.ibm.mq.headers.jar:/opt/mqm/java/lib/com.ibm.mq.jar:/opt/mqm/java/lib/com.ibm.mq.jmqi.jar:/opt/mqm/java/lib/com.ibm.mq.pcf.jar"

    export LD_LIBRARY_PATH CLASSPATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  *)
    CLASSPATH="$CLASSPATH:libs/com.ibm.mq.commonservices.jar:libs/com.ibm.mq.headers.jar:libs/com.ibm.mq.jar:libs/com.ibm.mq.jmqi.jar:libs/com.ibm.mq.pcf.jar"

    export CLASSPATH
    echo "Using included libs libraries - Only Client mode connections allowed."
  esac
else
  echo "Java MQ not found."
  exit
fi
#
#
echo "CLASSPATH=${CLASSPATH}"
#
cd ${MQCM_HOME}
#
# Now start MQ Channel Monitor for Java 64-bit
#
java ${MQCM_JVM_PARMS} ${MQCM_EXE_CLASS} "$@"
